# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from django.contrib import admin

from jmb.core.admin.options import ExtendibleModelAdmin

from acomea.areariservata.models import Operazione, Applicazione, OperationSecurityCode


class OperazioneAdmin(ExtendibleModelAdmin):
    list_display = (
        'id', 'numero_operazione', 'date_create', 'data_operazione', 'get_status_display', 'profilo', 'codice_cliente',
        'codice_fiscale', 'tipo_operazione',
        'codice_rapporto_from', 'codice_deposito_from', 'codice_fondo_from', 'codice_tipocontratto_from',
        'codice_rapporto_to', 'codice_deposito_to', 'codice_fondo_to', 'codice_tipocontratto_to', 'tipo_piano_to',
        'tipo_qta_movimento', 'mifid',
        'importo', 'numero_rate_piano', 'importo_rata', 'numero_rate_versate', 'quote',
        'iban', 'simulazione',
        'get_edit_icon', 'get_delete_icon',
    )


class ApplicazioneAdmin(ExtendibleModelAdmin):
    fieldsets = (
        (_('logs admin'), {
            'fields': (
                'creator', 'date_create',
                'last_modifier', 'date_last_modify',
            ),
            'classes': ('collapse',)
        }),
        (_('general'), {'fields': (
            'status', 'ordering', 'codice', 'description',
        )}),
    )

    list_display = (
        'ordering', 'status', 'codice', 'description',
        'get_edit_icon', 'get_delete_icon',
    )


admin.site.register(Operazione, OperazioneAdmin)
admin.site.register(Applicazione, ApplicazioneAdmin)
admin.site.register(OperationSecurityCode)
