# -*- coding: utf-8 -*-
from django.views.generic import DetailView
from django.views.generic.edit import ProcessFormView

from django.conf import settings
from acomea.areariservata.models import Operazione


###################################
## CMS APP VIEWS                  #
###################################
class EcommerceOperativitaView(DetailView):
    template_name = "areariservata/cms_apps/ecommerce/operativita.html"
    context_object_name = 'ecommerce_operazione_detail'
    model = Operazione

    def post(self, request, *args, **kwargs):
        self.object = self.get_object()
        context = self.get_context_data(object=self.object)
        return self.render_to_response(context)

    def get_context_data(self, **kwargs):
        context_data = super(EcommerceOperativitaView, self).get_context_data(**kwargs)
        # add extra content to context_data
        return context_data

    def get_object(self, queryset=None):
        #FIXME: override temporaneo, necessario per vedere la pagina anche senza passare la pk dell'oggetto Operazione
        #FIXME (come richiesto da una DetailView). Presumibilmente l'oggetto/gli oggetti Operazione dovranno essere filtrati
        #FIXME  successivamente in base all'utente corrente (self.request.user)
        try:
            return super(EcommerceOperativitaView, self).get_object(queryset)
        except AttributeError, e:
            return Operazione()















