# coding: utf-8

import datetime

from django.conf import settings
from django.core.management.base import BaseCommand
from django.utils import timezone

from ... import models


class Command(BaseCommand):
    """
    Removes all pending data after a setting duration period
    """
    output_transaction = True

    def handle(self, *args, **options):
        duration = timezone.timedelta(seconds=settings.AREARISERVATA_OPERATION_SECURITY_CODE_DURATION_BEFORE_DELETE)
        time_expired = datetime.datetime.now() - duration
        models.OperationSecurityCode.objects.filter(date_create__lte=time_expired).delete()
