# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _

SOAP_RESERVED_URL = 'http://93.57.3.196:8282/service.asmx?wsdl'
SOAP_G5_URL = 'http://93.57.3.196:8286/service.asmx?wsdl'

AREARISERVATA_OPERAZIONE_STATUS_CHOICES = (
    ('IN', 'Inizio',),
    ('FF', 'Meta',),
    ('FN', 'Fine',),
)
AREARISERVATA_OPERAZIONE_TIPO_OPERAZIONE_CHOICES = (
    ('I', 'SOTTOSCRIZIONE',),  # investimento
    ('S', 'SWITCH',),
    ('D', 'RIMBORSO',),  # disinvestimento
)
AREARISERVATA_OPERAZIONE_TIPO_OPERAZIONE_CHOICES_PER_FORM = (
    ('I', 'Investimento',),
    ('S', 'Switch',),
    ('D', 'Disinvestimento',),
)
AREARISERVATA_OPERAZIONE_TIPO_QTA_MOVIMENTO_CHOICES = (
    ('I', 'IMPORTO',),
    ('Q', 'QUOTE',),
    ('T', 'TOTALE',),
)
# Posizione from
AREARISERVATA_CMSPLUGIN_POSIZIONEFROM_TEMPLATES = (
    ("areariservata/cms_plugins/posizione_from.html", _("Posizione from template"),),
    ("bootstrap3/areariservata/cms_plugins/posizione_from.html", _("B3 - Posizione from template"),),
)
AREARISERVATA_CMSPLUGIN_POSIZIONEFROM_FORM_CLASSES = (
    ("acomea.areariservata.forms.PosizioneFromForm", _("Posizione from form"),),
)
AREARISERVATA_CMSPLUGIN_POSIZIONEFROM_FORM_TEMPLATES = (
    ("areariservata/cms_plugins/posizione_from_form.html", _("Posizione from form template"),),
    ("bootstrap3/areariservata/cms_plugins/posizione_from_form.html", _("B3 - Posizione from form template"),),
)

# Scelta posizione to
AREARISERVATA_CMSPLUGIN_POSIZIONETO_TEMPLATES = (
    ("areariservata/cms_plugins/posizione_to.html", _("Scelta posizione to template"),),
)
AREARISERVATA_CMSPLUGIN_POSIZIONETO_FORM_CLASSES = (
    ("acomea.areariservata.forms.PosizioneToForm", _("Scelta Posizione To form"),),
)
AREARISERVATA_CMSPLUGIN_POSIZIONETO_FORM_TEMPLATES = (
    ("areariservata/cms_plugins/posizione_to_form.html", _("Scelta Posizione To form template"),),
    ("bootstrap3/areariservata/cms_plugins/posizione_to_form.html", _("B3 - Scelta Posizione To form template"),),
)

# Investimento riepilogo
AREARISERVATA_CMSPLUGIN_INVESTIMENTORIEPILOGO_TEMPLATES = (
    ("areariservata/cms_plugins/investimento_riepilogo.html", _("Investimento riepilogo template"),),
)
AREARISERVATA_CMSPLUGIN_INVESTIMENTORIEPILOGO_FORM_CLASSES = (
    ("acomea.areariservata.forms.InvestimentoRiepilogoForm", _("Investimento Riepilogo form"),),
)
AREARISERVATA_CMSPLUGIN_INVESTIMENTORIEPILOGO_FORM_TEMPLATES = (
    ("areariservata/cms_plugins/investimento_riepilogo_form.html", _("Investimento Riepilogo form template"),),
    ("bootstrap3/areariservata/cms_plugins/investimento_riepilogo_form.html",
     _("B3 - Investimento Riepilogo form template"),),
)

# switch riepilogo
AREARISERVATA_CMSPLUGIN_SWITCHRIEPILOGO_TEMPLATES = (
    ("areariservata/cms_plugins/switch_riepilogo.html", _("Switch riepilogo template"),),
)
AREARISERVATA_CMSPLUGIN_SWITCHRIEPILOGO_FORM_CLASSES = (
    ("acomea.areariservata.forms.SwitchRiepilogoForm", _("Switch Riepilogo form"),),
)
AREARISERVATA_CMSPLUGIN_SWITCHRIEPILOGO_FORM_TEMPLATES = (
    ("areariservata/cms_plugins/switch_riepilogo_form.html", _("Investimento Riepilogo form template"),),
    (
        "bootstrap3/areariservata/cms_plugins/switch_riepilogo_form.html",
        _("B3 - Investimento Riepilogo form template"),
    ),
)

# disinvestimento
AREARISERVATA_CMSPLUGIN_DISINVESTIMENTORIEPILOGO_TEMPLATES = (
    ("areariservata/cms_plugins/disinvestimento_riepilogo.html", _("Disinvestimento riepilogo template"),),
)
AREARISERVATA_CMSPLUGIN_DISINVESTIMENTORIEPILOGO_FORM_CLASSES = (
    ("acomea.areariservata.forms.DisinvestimentoRiepilogoForm", _("Disinvestimento Riepilogo form"),),
)
AREARISERVATA_CMSPLUGIN_DISINVESTIMENTORIEPILOGO_FORM_TEMPLATES = (
    ("areariservata/cms_plugins/disinvestimento_riepilogo_form.html", _("Disinvestimento Riepilogo form template"),),
    ("bootstrap3/areariservata/cms_plugins/disinvestimento_riepilogo_form.html",
     _("B3 - Disinvestimento Riepilogo form template"),),
)

#: plugin inserimento codice fiscale utenti AcomeA - form classes
AREARISERVATA_CMSPLUGIN_INPUTCODICEFISCALEACOMEA_FORM_CLASSES = (
    ("acomea.areariservata.forms.CodiceFiscaleAcomeAForm", _("Codice Fiscale AcomeA form"),),
)
#: plugin inserimento codice fiscale utenti AcomeA - templates
AREARISERVATA_CMSPLUGIN_INPUTCODICEFISCALEACOMEA_FORM_TEMPLATES = (
    ("areariservata/cms_plugins/codice_fiscale_acomea.html", _("Codice Fiscale AcomeA template"),),
    ("bootstrap3/areariservata/cms_plugins/codice_fiscale_acomea.html", _("B3 Codice Fiscale AcomeA template"),),
)

#: plugin Operazioni in Corso
AREARISERVATA_CMSPLUGIN_OPERAZIONI_IN_CORSO_TEMPLATES = (
    ("areariservata/cms_plugins/operazioni_in_corso.html", _("Operazioni in Corso template"),),
    ("bootstrap3/areariservata/cms_plugins/operazioni_in_corso.html", _("B3 - Operazioni in Corso template"),),
)
AREARISERVATA_CMSPLUGIN_OPERAZIONI_IN_CORSO_FORM_CLASSES = (
    ("acomea.areariservata.forms.OperazioniInCorsoForm", _("Operazioni in Corso form"),),
)

#: plugin Operazioni Effettuate
AREARISERVATA_CMSPLUGIN_OPERAZIONI_EFFETTUATE_TEMPLATES = (
    ("areariservata/cms_plugins/operazioni_effettuate.html", _("Operazioni Effettuate template"),),
    ("bootstrap3/areariservata/cms_plugins/operazioni_effettuate.html", _("B3 - Operazioni Effettuate template"),),
)
AREARISERVATA_CMSPLUGIN_OPERAZIONI_EFFETTUATE_FORM_CLASSES = (
    ("acomea.areariservata.forms.OperazioniEffettuateForm", _("Operazioni Effettuate form"),),
)

AREARISERVATA_APPLICAZIONE_CODICE_CHOICES = (
    ('I', 'Investimento',),
    ('S', 'Switch',),
    ('D', 'Disinvestimento',),
)

# for model OperationSecurityCode
AREARISERVATA_INVESTI_DISINVESTI_TIPO_OPERAZIONE_CHOICES = (
    ('INV', 'Investi'),
    ('SWI', 'Switch'),
    ('DIS', 'Disinvesti'),
    ('SOTTOSCRIZIONE', 'Investi'),
    ('SWITCH', 'Switch'),
    ('RIMBORSO', 'Disinvesti'),
)

AREARISERVATA_OPERATION_SECURITY_CODE_TOKEN_DAYS_DURATION = 7 * 24 * 60 * 60
AREARISERVATA_OPERATION_SECURITY_CODE_DURATION_BEFORE_DELETE = 60 * 24 * 60 * 60
