# #! -*- coding: utf-8 -*-
# """
# helper module for acomea.areariservata application
# """
import logging
import datetime

from dateutil.relativedelta import relativedelta

log = logging.getLogger("acomea.areariservata")


def clean_session(request, key_list=None):
    """
    pulisce la sessione dalle chiave passate nella lista 'key_list'
    :param request: oggetto HttpRequest
    :param key_list: lista chiavi
    """
    try:
        session = getattr(request, 'session')
    except AttributeError:
        return
    if not key_list:
        return
    for key in key_list:
        if key in request.session:
            del request.session[key]


def get_interval(filter):
        today = datetime.date.today()
        year = today.year
        month = today.month
        date_end = today

        if filter == 'ultimo_mese':
            date_begin = today + relativedelta(months=-1)

        elif filter == 'ultimi_3_mesi':
            date_begin = today + relativedelta(months=-3)

        elif filter == 'ultimo_anno':
            date_begin = today + relativedelta(years=-1)

        else:
            date_begin = datetime.date(1970,1,1)

        return date_begin, date_end